name: ArgoCD-Application [Components added for Network, Storage and Orchestration]
services:
  hpa:
    name: hpa
    type: HorizontalPodAutoscaler
    apiVersion: autoscaling/v2
    namespace: default
    version: v1.27.2
    model: kubernetes
    traits:
      meshmap:
        edges: []
        id: 30902c99-4937-46c2-a10f-9b3bcf3e5d93
        label: hpa
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          displayName: Kubernetes
          metadata: {}
          name: kubernetes
          version: v1.27.2
        meshmodel-metadata:
          isCustomResource: false
          isNamespaced: true
          primaryColor: '#326CE5'
          secondaryColor: '#7aa1f0'
          shape: circle
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/apiservice-color.svg
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/apiservice-white.svg
        position:
          posX: -125.02957534216418
          posY: 198.1608332065167
        whiteboardData:
          style:
            z-index: 3
  jiva-volume:
    name: jiva-volume
    type: JivaVolume
    apiVersion: openebs.io/v1
    namespace: default
    version: 3.5.0
    model: openebs
    settings:
      access Type: Block
      capacity: 10Gi
      pv: 5Gi
      spec:
        policy:
          replica:
            affinity:
              node Affinity:
                preferred During Scheduling Ignored During Execution: []
                required During Scheduling Ignored During Execution:
                  node Selector Terms: []
              pod Affinity:
                preferred During Scheduling Ignored During Execution: []
                required During Scheduling Ignored During Execution: []
              pod Anti Affinity:
                preferred During Scheduling Ignored During Execution: []
                required During Scheduling Ignored During Execution: []
            tolerations: []
          target:
            affinity:
              node Affinity:
                preferred During Scheduling Ignored During Execution: []
                required During Scheduling Ignored During Execution:
                  node Selector Terms: []
              pod Affinity:
                preferred During Scheduling Ignored During Execution: []
                required During Scheduling Ignored During Execution: []
              pod Anti Affinity:
                preferred During Scheduling Ignored During Execution: []
                required During Scheduling Ignored During Execution: []
            tolerations: []
    traits:
      meshmap:
        edges: []
        id: 36ae1f0a-dd6d-49b4-abd3-7ad06d196e4b
        label: jiva-volume
        meshmodel-data:
          category:
            metadata: null
            name: Cloud Native Storage
          displayName: OpenEBS
          metadata:
            svgColor: ui/public/static/img/meshmodels/openebs/color/blockdevice-color.svg
            svgWhite: ui/public/static/img/meshmodels/openebs/white/blockdevice-white.svg
          name: openebs
          version: 3.5.0
        meshmodel-metadata:
          genealogy: ""
          logoURL: https://github.com/cncf/artwork/blob/master/examples/sandbox.md#openebs-logos
          model: openebs
          modelDisplayName: OpenEBS
          primaryColor: '#563a39'
          published: true
          secondaryColor: '#9B7F7E'
          shape: circle
          styleOverrides: ""
          subCategory: Cloud Native Storage
          svgColor: ui/public/static/img/meshmodels/openebs/color/blockdevice-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/openebs/white/blockdevice-white.svg
        position:
          posX: -138.48505549142743
          posY: 291.81847786266246
        whiteboardData:
          style:
            z-index: 4
  myApp:
    name: myApp
    type: Application
    apiVersion: argoproj.io/v1alpha1
    namespace: default
    version: 4.5.1
    model: argo-cd
    settings:
      destination:
        name: Host server
        server: 127.0.0.4
      ignore Differences: []
      info: []
      project: KubeDeploy
      source:
        directory:
          jsonnet:
            ext Vars: []
            libs: []
            tlas: []
        helm:
          file Parameters: []
          parameters: []
          value Files: []
        kustomize:
          images: []
        plugin:
          env: []
          parameters: []
        repo URL: https://github.com/username/repo
      sources: []
      sync Policy:
        sync Options: []
    traits:
      meshmap:
        edges: []
        id: 64fc264d-c549-46c0-a479-eddf786d5310
        label: myApp
        meshmodel-data:
          category:
            metadata: null
            name: App Definition and Development
          displayName: Argo CD
          metadata:
            svgColor: ui/public/static/img/meshmodels/argo-cd/color/appproject-color.svg
            svgWhite: ui/public/static/img/meshmodels/argo-cd/white/appproject-white.svg
          name: argo-cd
          version: 4.5.1
        meshmodel-metadata:
          genealogy: ""
          logoURL: https://github.com/cncf/artwork/blob/master/examples/incubating.md#argo-logos
          model: argo-cd
          modelDisplayName: Argo CD
          primaryColor: '#fe733e'
          published: true
          secondaryColor: '#FFB883'
          shape: circle
          styleOverrides: ""
          subCategory: Continuous Integration & Delivery
          svgColor: ui/public/static/img/meshmodels/argo-cd/color/appproject-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/argo-cd/white/appproject-white.svg
        position:
          posX: -112.9362862424473
          posY: 243.50495747197226
        whiteboardData:
          style:
            z-index: 5
  transport-server-1:
    name: transport-server-1
    type: TransportServer
    apiVersion: k8s.nginx.org/v1alpha1
    namespace: default
    version: 0.16.2
    model: nginx-ingress
    settings:
      host: 127.0.1.2
    traits:
      meshmap:
        edges: []
        id: f985da30-59c6-475b-8c94-54c2bca96c2a
        label: transport-server-1
        meshmodel-data:
          category:
            metadata: null
            name: Cloud Native Network
          displayName: NGINX Ingress Controller
          metadata:
            svgColor: ui/public/static/img/meshmodels/nginx-ingress/color/apdoslogconf-color.svg
            svgWhite: ui/public/static/img/meshmodels/nginx-ingress/white/apdoslogconf-white.svg
          name: nginx-ingress
          version: 0.16.2
        meshmodel-metadata:
          genealogy: ""
          logoURL: https://www.vectorlogo.zone/logos/nginx/index.html
          model: nginx-ingress
          modelDisplayName: NGINX Ingress Controller
          primaryColor: '#009639'
          published: true
          secondaryColor: '#42C473'
          shape: circle
          styleOverrides: ""
          subCategory: Service Proxy
          svgColor: ui/public/static/img/meshmodels/nginx-ingress/color/apdoslogconf-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/nginx-ingress/white/apdoslogconf-white.svg
        position:
          posX: -193.26111687760493
          posY: 268.3150975899273
        whiteboardData:
          style:
            z-index: 6
  virtual-server-1:
    name: virtual-server-1
    type: VirtualServer
    apiVersion: k8s.nginx.org/v1
    namespace: default
    version: 0.16.2
    model: nginx-ingress
    settings:
      host: 127.0.1.1
      spec:
        external DNS:
          provider Specific: []
        policies: []
        routes: []
        upstreams: []
    traits:
      meshmap:
        edges: []
        id: c52bf0ed-6749-4184-8c46-ce4b269b5d8f
        label: virtual-server-1
        meshmodel-data:
          category:
            metadata: null
            name: Cloud Native Network
          displayName: NGINX Ingress Controller
          metadata:
            svgColor: ui/public/static/img/meshmodels/nginx-ingress/color/apdoslogconf-color.svg
            svgWhite: ui/public/static/img/meshmodels/nginx-ingress/white/apdoslogconf-white.svg
          name: nginx-ingress
          version: 0.16.2
        meshmodel-metadata:
          genealogy: ""
          logoURL: https://www.vectorlogo.zone/logos/nginx/index.html
          model: nginx-ingress
          modelDisplayName: NGINX Ingress Controller
          primaryColor: '#009639'
          published: true
          secondaryColor: '#42C473'
          shape: circle
          styleOverrides: ""
          subCategory: Service Proxy
          svgColor: ui/public/static/img/meshmodels/nginx-ingress/color/apdoslogconf-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/nginx-ingress/white/apdoslogconf-white.svg
        position:
          posX: -176.2903037218441
          posY: 222.52038923792543
        whiteboardData:
          style:
            z-index: 7
